public class Control
{
  public static boolean testBreak(int n) /*@
    ensures VALUE@NEXT = TRUE <=> VAR n >= 0;
  @*/
  {
    int i=0;
    while (true) /*@
      invariant 0 <= VAR i
           AND (IF VAR n >= 0 THEN VAR i <= VAR n ELSE VAR i = 0 ENDIF)
           AND (BREAKS@NEXT => 
             IF VAR n >= 0 THEN VAR i = VAR n ELSE VAR i = 0 ENDIF);
      decreases IF VAR n >= 0 THEN VAR n - VAR i ELSE 0 ENDIF;
    @*/
    {
      if (i >= n) break;
      i = i+1;
    }
    return i == n;
  }
  
  public static boolean testContinue(int n) /*@
    ensures VALUE@NEXT = TRUE;
  @*/
  {
    int i = 0;
    while (true) /*@
      invariant 0 <= VAR i
           AND (IF VAR n >= 0 THEN VAR i <= VAR n ELSE VAR i = 0 ENDIF)
           AND (RETURNS@NEXT => VALUE@NEXT = TRUE AND
             IF VAR n >= 0 THEN VAR i = VAR n ELSE VAR i = 0 ENDIF);
      decreases IF VAR n >= 0 THEN VAR n - VAR i ELSE 0 ENDIF;
    @*/
    {
      if (i < n) 
      {
        i = i+1;
        continue;
      }
      return true;
    }
    return false;
  }
  
  public static boolean testException(int n) /*@
    ensures VALUE@NEXT = TRUE;
  @*/
  {
    try
    {
      if (n < 0) throw new Exception("error");
    }
    catch(Exception e)
    {
      n = 0;
    }
    return n >= 0;
  }
}










