/*@
  theory {
    sum: (INT, INT) -> INT;
    sumaxiom: AXIOM
      FORALL(m: INT, n: INT):
        IF n<m THEN 
          sum(m, n) = 0
        ELSE
          sum(m, n) = n+sum(m, n-1)
        ENDIF;
   }
@*/
class Sum
{
  static int sum(int n) /*@
    requires VAR n < Base.MAX_INT;
    ensures 
      LET result=VALUE@NEXT IN
      IF VAR n < 0 
        THEN result = -1 
        ELSE result = sum(1, VAR n) 
      ENDIF;
  @*/
  {
    int s;
    if (n < 0)
      s = -1;
    else
    {
      s = 0;
      int i = 1;
      while (i <= n) /*@
        invariant VAR n < Base.MAX_INT
              AND 1 <= VAR i AND VAR i <= VAR n+1 
              AND VAR s=sum(1, VAR i-1);
        decreases VAR n - VAR i + 1;
      @*/
      {
        s = s+i;
        i = i+1;
      }
    }
    return s;
  }
}






