// ----------------------------------------------------------------------------
// GlobalSymbol.java
// The interface to a symbol that can be globally referenced.
// $Id: GlobalSymbol.java,v 1.1 2008/10/22 16:06:51 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2008, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Semantics;

import fmrisc.ProgramExplorer.Syntax.*;

/**
 * 
 * The interface to a symbol that can be globally referenced.
 *
 */
public interface GlobalSymbol extends Symbol
{
  /****************************************************************************
   * Get the unique long name by which the symbol can be referenced.
   * @return the unique long name.
   ***************************************************************************/
  public Name getLongName();
}
