// ----------------------------------------------------------------------------
// ParamDeclaration.java
// The interface to declarations with parameters.
// $Id: ParamDeclaration.java,v 1.3 2009/10/19 16:16:25 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2008, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Syntax.Program;

import fmrisc.ProgramExplorer.Syntax.Declaration;

/**
 * The interface to declarations with parameters
 */
public interface ParamDeclaration extends Declaration, ASTProgramAnnotated
{
  /****************************************************************************
   * Get parameters of declaration.
   * @return the sequence of parameters.
   ***************************************************************************/
  public Parameter[] getParams();
  
  /****************************************************************************
   * Get body of declaration.
   * @return the declaration body.
   ***************************************************************************/
  public Statement getBody();
}

