// ----------------------------------------------------------------------------
// Syntax.java
// Syntax-related auxiliary functionality.
// $Id: Syntax.java,v 1.2 2009/04/09 10:42:19 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2008, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Syntax;

import fmrisc.ProgramExplorer.Syntax.Program.TypeExpression;

/**
 * 
 * Syntax-related auxiliary functionality.
 *
 */
public class Syntax
{
  /****************************************************************************
   * Create method/constructor header from name and argument types.
   * @param name the name of the method/constructor.
   * @param atypes its argument types.
   * @return the string representation of the header.
   **************************************************************************/
  public static String procHeader(String name, TypeExpression[] atypes)
  {
    StringBuffer b = new StringBuffer();
    b.append(name);
    b.append("(");
    int n = atypes.length;
    if (n > 0)
    {
      b.append(atypes[0]);
      for (int i=1; i<n; i++)
      {
        b.append(", ");
        b.append(atypes[i]);
      }
    }
    b.append(")");
    return b.toString();
  }
}
