// ----------------------------------------------------------------------------
// ClassicalTask.java
// A task that can be translated to a classical proving problem
// $Id: ClassicalTask.java,v 1.2 2010/10/18 15:59:10 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2010-, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.ewuni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Tasks;

import fmrisc.ProgramExplorer.Proving.*;

/**
 * 
 * A task that can be translated to a classical proving problem.
 *
 */
public interface ClassicalTask extends ProofNavigatorTask
{
  /****************************************************************************
   * Translate task into a classical proving problem
   * @return the translation.
   ***************************************************************************/
  public ClassicalProblem classicalProblem();
}

